<?php 
require_once('../modelos/Plan.php');

$plan=new Plan();

$idplan=isset($_POST["idplan"])? limpiarCadena($_POST["idplan"]):"";
$nombre_plan=isset($_POST["nombre_plan"])? limpiarCadena($_POST["nombre_plan"]):"";
$idtecnologia=isset($_POST["idtecnologia"])? limpiarCadena($_POST["idtecnologia"]):"";
$idolt=isset($_POST["idolt"])? limpiarCadena($_POST["idolt"]):"";
$precio=isset($_POST["precio"])? limpiarCadena($_POST["precio"]):"";
$descripcion=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$upload_servicio=isset($_POST["upload_servicio"])? limpiarCadena($_POST["upload_servicio"]):"";
$download_servicio=isset($_POST["download_servicio"])? limpiarCadena($_POST["download_servicio"]):"";
$idtorre=isset($_POST["idtorre"])? limpiarCadena($_POST["idtorre"]):"";


switch ($_GET["op"])
{
    case 'guardaryeditar':
        if(empty($idplan))
        {
          $rspta=$plan->insertar($nombre_plan,$idtecnologia,$idolt,$precio,$descripcion,$upload_servicio,$download_servicio,$idtorre);
          echo $rspta;
        }
        else {
            $rspta=$plan->editar($idplan,$nombre_plan,$idtecnologia,$idolt,$precio,$descripcion,$upload_servicio,$download_servicio,$idtorre);
            echo $rspta;
        }
      break;
  
      case 'obtenerDatosPlan':
        $idplan=$_GET["idplan"];
       // $idplan = $_POST['idplan'];
        $rspta=$plan->obtenerDatosPlan($idplan);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'mostrar':
        $rspta=$plan->mostrar($idplan);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
  
      case 'eliminar':
        $rspta=$plan->eliminar($idplan);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
  
      case 'listarplan':
        $rspta=$plan->listarplan();
        //Vamos a declarar un array
        $data=Array();
        while($reg=$rspta->fetch_object())
        {
          $data[]=array(
            "0"=>$reg->nombre_plan,
            "1"=>$reg->nombretecnologia, 
            "2"=>$reg->nombreolt,
            "3"=>$reg->precio,
            "4"=>$reg->descripcion,
            "5"=>$reg->upload_servicio,
            "6"=>$reg->download_servicio,          
            "7"=>'<a href="create.php?idplan=' . $reg->idplan . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .
                 ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idplan . ')"><i class="fas fa-trash-alt"></i></button>'
          );
        }
        $results= array(
          "sEcho"=>1, //Informacion para el datatable
          "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
          "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
          "aaData"=>$data);
        echo json_encode($results);
  
      break;

      case 'selectPlanTecnologia': 
        $idtecnologia=$_REQUEST["idtecnologia"];
        $rspta = $plan->selectPlanTecnologia($idtecnologia);
        if ($rspta) {
            while ($reg = $rspta->fetch_object()) {
                echo "<option value='" . htmlspecialchars($reg->idplan, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre_plan, ENT_QUOTES, 'UTF-8') . "</option>";
            }
        } else {
            echo "<option value=''>No hay olt disponibles</option>";
        }
        break;

        case 'selectPlanPorOlt': 
          $idolt=$_REQUEST["idolt"];
          $rspta = $plan->selectPlanPorOlt($idolt);
          if ($rspta) {
              while ($reg = $rspta->fetch_object()) {
                  echo "<option value='" . htmlspecialchars($reg->idplan, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre_plan, ENT_QUOTES, 'UTF-8') . "</option>";
              }
          } else {
              echo "<option value=''>No hay olt disponibles</option>";
          }
          break;

          case 'selectPlanPorTorre': 
            $rspta = $plan->selectPlanPorTorre();
            if ($rspta) {
                while ($reg = $rspta->fetch_object()) {
                    echo "<option value='" . htmlspecialchars($reg->idplan, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre_plan, ENT_QUOTES, 'UTF-8') . "</option>";
                }
            } else {
                echo "<option value=''>No hay olt disponibles</option>";
            }
            break;

          
}